View Issue Details

IDProjectCategoryView StatusLast Update
0014864LazarusLCLpublic2010-06-15 10:05
ReporterdvasoftAssigned ToMattias Gaertner 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0014864: Components with Anchors property have old size in Form.OnResize event
DescriptionI have hidden form with the component on it. The component has Anchors property set to [akTop,akLeft,akRight,akBottom], so that it should be resized when form changes its size. Now I set new form height (Form2.Height := 500) and then make it visible (Form2.Show). But in the Form2's OnResize and OnShow events the component has old size, not new one.

As far as I know this bug is for hidden forms only. But it is not unusual to do something with hidden form before showing it, of course...
Additional InformationThe uploaded archive contains test project that illustrates the bug. When you click "Button1" button it changes Form2 Height property and then show it. Form2 has handlers for events OnShow and OnResize where component height is shown. There must be value 500 here, but old value 281 is shown...
Tagssizing
Fixed in Revision
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

2009-10-21 15:05

 

ResizeTest.zip (268,164 bytes)

Paul Ishenin

2010-05-04 09:43

manager   ~0037229

Probably fixed in the mean time. At least I have correct 483 value shown.

Please test and close if it is fixed for you or reopen in other case.

dvasoft

2010-06-15 10:05

reporter   ~0038571

It works now, thanks!

Issue History

Date Modified Username Field Change
2009-10-21 15:05 dvasoft New Issue
2009-10-21 15:05 dvasoft File Added: ResizeTest.zip
2009-10-21 15:05 dvasoft Widgetset => Win32/Win64
2009-10-21 15:15 Vincent Snijders Tag Attached: sizing
2009-10-21 15:15 Vincent Snijders LazTarget => 1.0
2009-10-21 15:15 Vincent Snijders Assigned To => Mattias Gaertner
2009-10-21 15:15 Vincent Snijders Status new => assigned
2009-10-21 15:15 Vincent Snijders Target Version => 1.0.0
2010-05-04 09:43 Paul Ishenin Status assigned => resolved
2010-05-04 09:43 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-05-04 09:43 Paul Ishenin Resolution open => fixed
2010-05-04 09:43 Paul Ishenin Note Added: 0037229
2010-06-15 10:05 dvasoft Status resolved => closed
2010-06-15 10:05 dvasoft Note Added: 0038571